type token =
  | IDENT of (string)
  | STRING of (string)
  | INT of (int)
  | FLOAT of (float)
  | NODE of (int)
  | DIGRAPH
  | BOUNDINGBOX
  | POS
  | GRAPH
  | ARROW
  | BAR
  | COLON
  | COMMA
  | SPACE
  | SEMICOLON
  | DOT
  | EQUAL
  | LEFTPAR
  | LEFTPAR_STAR_RIGHTPAR
  | LEFTSQ
  | LRARROW
  | QUOTE
  | RIGHTPAR
  | RIGHTSQ
  | LEFTAC
  | RIGHTAC
  | UNDERSCORE
  | EOF

val file :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Xdot_ast.file
val path :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Xdot_ast.path
val bounding_box :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Xdot_ast.point * Xdot_ast.point
val pos :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Xdot_ast.point
